import request from '@/utils/request'

// 查询发起问卷明细列表
export function listAssignDetail(query) {
  return request({
    url: '/elder/questionnaire/assignDetail/list',
    method: 'get',
    params: query
  })
}

// 查询发起问卷明细详细
export function getAssignDetail(assignDetailId) {
  return request({
    url: '/elder/questionnaire/assignDetail/' + assignDetailId,
    method: 'get'
  })
}

// 新增发起问卷明细
export function addAssignDetail(data) {
  return request({
    url: '/elder/questionnaire/assignDetail',
    method: 'post',
    data: data
  })
}

// 修改发起问卷明细
export function updateAssignDetail(data) {
  return request({
    url: '/elder/questionnaire/assignDetail',
    method: 'put',
    data: data
  })
}

// 删除发起问卷明细
export function delAssignDetail(assignDetailId) {
  return request({
    url: '/elder/questionnaire/assignDetail/' + assignDetailId,
    method: 'delete'
  })
}
